### Class

# Shumate Coordinate

#### Description [src]

    class Shumate.Coordinate : GObject.InitiallyUnowned {
      parent_instance: GInitiallyUnowned
    }

A simple object implementing `ShumateLocation`.

#### Ancestors

- GInitiallyUnowned
- GObject

#### Implements

- ShumateLocation

#### Constructors

###### shumate_coordinate_new

Creates a new instance of `ShumateCoordinate`.

###### shumate_coordinate_new_full

Creates a new instance of `ShumateCoordinate` initialized with the given coordinates.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from ShumateLocation (3)

###### shumate_location_get_latitude

Gets the latitude coordinate in degrees.

###### shumate_location_get_longitude

Gets the longitude coordinate in degrees.

###### shumate_location_set_location

Sets the coordinates of the location.

#### Properties

##### Properties inherited from ShumateLocation (2)

###### Shumate.Location:latitude

The latitude coordonate in degrees.

###### Shumate.Location:longitude

The longitude coordonate in degrees.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ShumateCoordinateClass {
      GInitiallyUnownedClass parent_class;

    }

###### Class members

`parent_class`

    GInitiallyUnownedClass

| No description available.